Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.renderkit
Class SortingFilteringRowsRenderer

    java.lang.Object
      javax.faces.render.Renderer
          org.richfaces.renderkit.RendererBase
              org.richfaces.renderkit.AbstractRowsRenderer
                  org.richfaces.renderkit.SortingFilteringRowsRenderer

All Implemented Interfaces:
  org.ajax4jsf.model.DataVisitor

Direct Known Subclasses:
  AbstractTableBaseRenderer, SelectionRenderer

    public abstract class SortingFilteringRowsRenderer

extends AbstractRowsRenderer

Author:
  Anton Belevich

Constructor Summary
`SortingFilteringRowsRenderer()`

Method Summary
`protected void` | `decodeFiltering(javax.faces.context.FacesContext context, UIDataTableBase dataTableBase, java.lang.String value)`
`protected void` | `decodeSorting(javax.faces.context.FacesContext context, UIDataTableBase dataTableBase, java.lang.String value)`
`protected void` | `decodeSortingFiltering(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
`protected void` | `updateAttribute(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, java.lang.String attribute, java.lang.Object value)`

Methods inherited from class org.richfaces.renderkit.AbstractRowsRenderer
`createRowHolder, doCleanup, doEncodeChildren, encodeFakeRow, encodeRow, encodeRows, get, getColumnClass, getColumnClasses, getRendersChildren, getRowClass, getRowClassAttribute, getRowClasses, process, processRows, put, renderRowHandlers`

Methods inherited from class org.richfaces.renderkit.RendererBase
`concatClasses, concatStyles, decode, doDecode, doEncodeBegin, doEncodeEnd, encodeBegin, encodeChildren, encodeEnd, getComponentClass, getSkin, getUtils, preDecode, preEncodeBegin, queueComponentEventForBehaviorEvent, renderChildren`

Methods inherited from class javax.faces.render.Renderer
`convertClientId, getConvertedValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SortingFilteringRowsRenderer

    public SortingFilteringRowsRenderer()

Method Detail

### decodeSortingFiltering

    protected void decodeSortingFiltering(javax.faces.context.FacesContext context,
                                          javax.faces.component.UIComponent component)

### decodeFiltering

    protected void decodeFiltering(javax.faces.context.FacesContext context,
                                   UIDataTableBase dataTableBase,
                                   java.lang.String value)

### decodeSorting

    protected void decodeSorting(javax.faces.context.FacesContext context,
                                 UIDataTableBase dataTableBase,
                                 java.lang.String value)

### updateAttribute

    protected void updateAttribute(javax.faces.context.FacesContext context,
                                   javax.faces.component.UIComponent component,
                                   java.lang.String attribute,
                                   java.lang.Object value)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.